Subject: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME signed andd encrypted messages

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Aug 2020 10:50:38 +0200

Timothy J Miller <[email-masked]> writes:

> However, the S/MIME signature status/trust marking in the article body
> are missing for signed+encrypted.  I went through a slew of old
> encrypted messages and most look like non-MIME messages.  Occasionally
> one will present with a text/plain attachment, but most not.
> Attachments also seem to be decoding properly but I didn't test all
> examples, just spot checked a couple where the attachment got saved
> out as corrupted base64.

Corrupted base64?  That doesn't sound good?  Is this a bug?

> If I could add to the feature backlog, it would be nice to have a
> status mark for encrypted emails similar to the signature trust status
> marking.

Do you mean the

[[S/MIME Signed Part:Undecided]]

stuff?

Hm, yes, that's missing from the encrypted+signed messages...  *sigh*

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no